Subject: Re: [RFC/PATCH] add: warn when -u or -A is used without filepattern

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Jan 2013 17:51:44 -0800

Duy Nguyen <[email-masked]> writes:

> What about 'grep' and 'clean'? I think at least 'clean' should go
> tree-wide default too. I don't mind grep go the same way either but I
> think people voiced preference in current behavior..

I think the major argument for "git grep" to be the way it is is
because people expect it to be extension of running "grep -r" in the
same directory ("git grep" excludes untracked ones so you do not
have to suffer from --exclude=.git and such unpleasantries).

Shouldn't "git clean" be an extension of running "rm -r" in the same
directory ("git clean" does not lose tracked ones but otherwise it
is a recursive removal)?